#!/usr/bin/perl
#
# Convert Exmh address book to format suitable to be included into Stuphead
# address book
#
	     

$VERSION = '0.01';

use strict;

my $addrs_book = (-r "$ENV{HOME}/.exmh/exmh_addrs") ?
	"$ENV{HOME}/.exmh/exmh_addrs" :
	"$ENV{HOME}/.exmh_addrs";
open( IN, "<$addrs_book" ) or die "$!";
print '<?xml version="1.0" encoding="KOI8-R"?>'."\n<addressbook>\n<common_address>\n";
while(<IN>) {
	/^set addr_list\(([^)]+)\)\s\{\S*\s\{[^}]*\}\s(?:(?:\{([^}]*)\})|(\S+))/;
	print "\t<item>\n";
	print "\t\t<name>",$2?$2:$3,"</name>\n";
	print "\t\t<address>",$1,"</address>\n";
	print "\t\t<remarks></remarks>\n";
	print "\t</item>\n";
}
print "</common_address>\n<personal_address>\n</personal_address>\n</addressbook>\n";
close IN;
