/*
    Stuphead: (C) 2000,2001 Grigroy Bakunov, Sergey Pinaev
 */
#ifndef __CONV_ICONV_H__
#define __CONV_ICONV_H__

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <glib.h>
#ifdef LIBICONV_PLUG
#include <giconv.h>
#else
#include <iconv.h>
#endif
#include <gtk/gtk.h>

#define MAX_CHAR_LEN 4
iconv_t conv_iconv_open(gchar* charsetto,gchar* charsetfrm);
iconv_t conv_iconv_open_tolocal(gchar* charsetfrm);
void conv_iconv_close(iconv_t ict);
gint conv_iconv_convert(iconv_t ict,gchar *buf2, size_t sz2, gchar* buf, size_t sz);
gint code_convert(gchar *buf2, size_t sz2, gchar* buf, size_t sz,  gchar* charsetfrm,gchar* charsetto);
gint code_convert_to_current(gchar *buf2, size_t sz2, gchar* buf, size_t sz, gchar* charsetfrm);
void conv_mb_alnum(gchar *str);
void conv_unmime_header(gchar *outbuf, gint outlen, const gchar *str,
			const gchar *charset);
void conv_encode_header_misc(gchar *dest, gint len, const gchar *src, gint header_len);
void conv_encode_header(gchar *dest, gint len, const gchar *src,gint header_len);
#endif
