/*
    Stuphead: (C) 2000,2001 Grigroy Bakunov, Sergey Pinaev
 */
/*
 * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
 * Copyright (C) 1999,2000 Hiroyuki Yamamoto
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __HEADERVIEW_H__
#define __HEADERVIEW_H__

#include <gtk/gtkwidget.h>

#include "procmsg.h"

typedef struct _HeaderView	HeaderView;

struct _HeaderView
{
	GtkWidget *hbox;
	GtkWidget *text;
	GtkWidget *image;
	GtkWidget *button;
        gchar *from;
};

HeaderView *headerview_create	(void);
void headerview_init		(HeaderView	*headerview);
void headerview_show		(HeaderView	*headerview,
				 MsgInfo	*msginfo);
void headerview_clear		(HeaderView	*headerview);

#endif /* __HEADERVIEW_H__ */
