/*
    Stuphead: (C) 2000,2001 Grigroy Bakunov, Sergey Pinaev
 */
#ifndef __HTMLVIEW_H__
#define __HTMLVIEW_H__

#include <glib.h>
#include <gtk/gtkwidget.h>
#include "messageview.h"
#include "procmime.h"

#ifdef USE_MOZILLA
#include <mozilla/gtkmozembed.h>
#endif /* USE_MOZILLA */

typedef struct _HtmlView HtmlView;


struct _HtmlView
{

#ifdef USE_MOZILLA
	GtkMozEmbed *html;
#else /* !USE_MOZILLA */
	GtkWidget *scrolledwin;
	GtkWidget *html_widget;
#endif /* USE_MOZILLA */
	MessageView *messageview;
};

HtmlView *htmlview_create(void);
void htmlview_init(HtmlView *htmlview);
gint htmlview_show_html(HtmlView *htmlview, MimeInfo *mimeinfo, const gchar *file);
void htmlview_destroy(HtmlView *htmlview);
#ifdef USE_MOZILLA
void htmlview_brsr_destroy (GtkMozEmbed *embed, HtmlView *htmlview);
#endif /* USE_MOZILLA */
#endif /* __HTMLVIEW_H__ */



