/*
    Stuphead: (C) 2000,2001 Grigroy Bakunov, Sergey Pinaev
 */
/*
This code based on "mozilla.cpp" from Galeon browser
Thanks to Galeon developers
 */
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#ifdef USE_MOZILLA
#include <mozilla/gtkmozembed.h>
#include <mozilla/gtkmozembed_internal.h>
#include <regex.h>

#include <mozilla/nsIServiceManager.h>
#include <mozilla/nsIPref.h>
#include <mozilla/nsIDOMDocument.h>
#include <mozilla/nsIDocShell.h>
#include <mozilla/nsIDocShellTreeItem.h>
#include <mozilla/nsIDocShellTreeOwner.h>
#include <mozilla/nsIDocumentViewer.h>
#include <mozilla/nsIWebBrowser.h>
#include <mozilla/nsIDiskDocument.h>
#include <mozilla/nsIDocument.h>
#include <mozilla/nsFileSpec.h>
#include <mozilla/nsCOMPtr.h>
#include <mozilla/nsIWebNavigation.h>
#include <mozilla/nsISHistory.h>
#include <mozilla/nsISHEntry.h>
#include <mozilla/nsIURI.h>
#include <mozilla/nsITextServicesDocument.h>
#include <mozilla/nsIPresShell.h>
#include <mozilla/nsTextServicesCID.h>
#include <mozilla/nsIContentViewer.h>
#include <mozilla/nsIMarkupDocumentViewer.h>
#include <mozilla/nsIContentViewerFile.h>
#include <mozilla/nsITextScroll.h>
#include <mozilla/nsIDOMMouseEvent.h>
#include <mozilla/nsIDOMEventTarget.h>
#include <mozilla/nsIDOMHTMLElement.h>
#include <mozilla/nsIDOMNamedNodeMap.h>
#include <mozilla/nsIURL.h>
#include <mozilla/nsIScrollable.h>
#include <mozilla/nsIFrame.h>
#include <mozilla/nsIDocShellTreeNode.h>


//gboolean mozilla_find_setup(nsITextServicesDocument *aDoc, PRInt32 *outBlockOffset,
//			    gboolean search_backwards, gboolean start);
//gchar* mozilla_get_attribute (nsIDOMNode *node, gchar *attribute);
//nsIDocShell* mozilla_get_primary_docshell (GtkMozEmbed *b);

static NS_DEFINE_CID(kCTextServicesDocumentCID, NS_TEXTSERVICESDOCUMENT_CID);
static NS_DEFINE_CID(kStandardURLCID, NS_STANDARDURL_CID);

#define PREF_ID NS_PREF_CONTRACTID

extern "C" 
gboolean mozilla_preference_set(const char *preference_name, const char *new_value)
{
  g_return_val_if_fail (preference_name != NULL, FALSE);
  g_return_val_if_fail (new_value != NULL, FALSE);
  nsCOMPtr<nsIPref> pref = do_CreateInstance(PREF_ID);

  if (pref)
    {
      nsresult rv = pref->SetCharPref (preference_name, new_value);            
      return NS_SUCCEEDED (rv) ? TRUE : FALSE;
    }
  
  return FALSE;
}

#endif /* USE_MOZILLA */
