%define ver 0.5.3
%define rel 0
%define prefix /usr

Summary: a GTK+ based, lightweight, and fast e-mail client and news reader with full russian encoding support
Name: stuphead
Version: %ver
Release: %rel
Source:  http://stuphead.asplinux.ru/stuphead-%{ver}.tar.gz
Copyright: GPL
URL: http://stuphead.asplinux.ru/
Requires: gtk+ >= 1.2.6
Group: Applications/Internet
Buildroot: %_tmppath/%{name}-root

%description
This program is an X based fast e-mail client which has features
(or go for it :-)) like:
 	o user-friendly and intuitive interface
 	o integrated NetNews client (partially implemented)
 	o ability of keyboard-only operation
 	o multipart MIME
 	o built-in image view
 	o external editor support
 	o unlimited multiple account handling
 	o message queueing
 	o filtering
 	o XML-based address book
 	o built-in HTML view (optional)
See 'README' for more information.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %configure --prefix=%{prefix}
make

%install
make prefix=${RPM_BUILD_ROOT}%{prefix} \
    bindir=${RPM_BUILD_ROOT}%{_bindir} \
    datadir=${RPM_BUILD_ROOT}%{_datadir} install

%clean

%files
%defattr(-,root,root)
%doc COPYING ChangeLog
%doc contrib/from_exmh.pl
%doc contrib/clearbox.sh
%doc doc/*
%{_bindir}/*
%{_datadir}/locale/*/LC_MESSAGES/stuphead.mo
/usr/share/gnome/apps/Internet/stuphead.desktop
%{_datadir}/pixmaps/stuphead.xpm

%changelog
* Wed Jun 06 2001 Denis Dementiev <denm@asp-linux.com>
- release 0.5.3
