/*
    Stuphead: (C) 2000,2001 Grigroy Bakunov, Sergey Pinaev
 */
#ifndef __INTL_H__
#define __INTL_H__

#ifdef ENABLE_NLS
#  ifndef GNOME_SUPPORT
#    include <libintl.h>
#    define _(String) dgettext(PACKAGE,String)
#    ifdef gettext_noop
#      define N_(String) gettext_noop(String)
#    else
#      define N_(String) (String)
#    endif /* gettext_noop */
#  else /* GNOME_SUPPORT */
#    include <gnome.h>
#  endif /* GNOME_SUPPORT */
#else
#  define _(String) (String)
#  define N_(String) (String)
#  define textdomain(String) (String)
#  define gettext(String) (String)
#  define dgettext(Domain,String) (String)
#  define dcgettext(Domain,String,Type) (String)
#  define bindtextdomain(Domain,Directory) (Domain) 
#endif /* ENABLE_NLS */

#endif /* __INTL_H__ */
